Package org.kie.api.pmml

# Class PMMLRequestData

java.lang.Object
org.kie.api.pmml.PMMLRequestData

public class PMMLRequestData extends Object
This class provides a vanilla mechanism for sending data to the rule engine, for use in having a PMML model applied against it

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PMMLRequestData()`
  `PMMLRequestData(String correlationId)`
  `PMMLRequestData(String correlationId, String modelName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addRequestParam(String paramName, Object value)`
  `boolean`
  `addRequestParam(ParameterInfo parameter)`
  `boolean`
  `equals(Object obj)`
  `String`
  `getCompactCapitalizedModelName()`
  `String`
  `getCorrelationId()`
  `Map<String,ParameterInfo>`
  `getMappedRequestParams()`
  `String`
  `getModelName()`
  `Collection<ParameterInfo>`
  `getRequestParams()`
  `String`
  `getSource()`
  `int`
  `hashCode()`
  `boolean`
  `removeRequestParam(ParameterInfo parameter)`
  `void`
  `setCorrelationId(String correlationId)`
  `void`
  `setModelName(String modelName)`
  `void`
  `setSource(String source)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PMMLRequestData

    public PMMLRequestData()

  - ### PMMLRequestData

    public PMMLRequestData(String correlationId)

  - ### PMMLRequestData

    public PMMLRequestData(String correlationId, String modelName)

- ## Method Details

  - ### getModelName

    public String getModelName()

  - ### getCompactCapitalizedModelName

    public String getCompactCapitalizedModelName()

  - ### getMappedRequestParams

    public Map<String,ParameterInfo> getMappedRequestParams()

  - ### getRequestParams

    public Collection<ParameterInfo> getRequestParams()

  - ### addRequestParam

    public boolean addRequestParam(ParameterInfo parameter)

  - ### removeRequestParam

    public boolean removeRequestParam(ParameterInfo parameter)

  - ### addRequestParam

    public boolean addRequestParam(String paramName, Object value)

  - ### getCorrelationId

    public String getCorrelationId()

  - ### setCorrelationId

    public void setCorrelationId(String correlationId)

  - ### setModelName

    public void setModelName(String modelName)

  - ### getSource

    public String getSource()

  - ### setSource

    public void setSource(String source)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`